Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-2849

correct deprecation warning around export tool

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PDB 4.4.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Team:
      Systems Engineering
    • Story Points:
      1
    • Sprint:
      PuppetDB 2017-04-05

      Description

      Currently we report this:

      [deprecated] The PuppetDB export command is deprecated in favor of exports via the Puppet 'db' subcommand. See 'man puppet-db' for usage instructions.
      ....BUT....
      [root@large-mom ~]# puppet db
      Error: Unknown Puppet subcommand 'db'
      See 'puppet help' for help on available puppet subcommands
      

      but there's no guarantee that the user has that command. It should point to the client tools package in some way that's suitable for both FOSS and PE.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              wyatt Wyatt Alt
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support